/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.object.field.business.type;

import com.liferay.petra.string.StringPool;

import java.util.Collections;
import java.util.Locale;
import java.util.Map;

/**
 * @author Marcela Cunha
 */
public interface ObjectFieldBusinessType {

	public String getDBType();

	public String getDDMFormFieldTypeName();

	public default String getDescription(Locale locale) {
		return StringPool.BLANK;
	}

	public String getLabel(Locale locale);

	public String getName();

	public default Map<String, Object> getProperties() {
		return Collections.emptyMap();
	}

	public default boolean isVisible() {
		return true;
	}

}