/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.object.scope;

import com.liferay.portal.kernel.exception.PortalException;

import java.util.Locale;

import javax.servlet.http.HttpServletRequest;

/**
 * @author Marco Leo
 */
public interface ObjectScopeProvider {

	public long getGroupId(HttpServletRequest httpServletRequest)
		throws PortalException;

	public String getKey();

	public String getLabel(Locale locale);

	public String[] getRootPanelCategoryKeys();

	public boolean isGroupAware();

	public boolean isValidGroupId(long groupId);

}